> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a company

> Get a company in the Tight API for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs get /v6/company/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/company/{id}:
    get:
      tags:
        - Company Management
      summary: Get a company
      description: Get a company in the Tight API for the given id
      operationId: getCompany
      parameters:
        - name: id
          in: path
          description: The id of the company
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseCompanyGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - PartnerAuth: []
components:
  schemas:
    SuccessResponseCompanyGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/CompanyGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    CompanyGetDto:
      required:
        - name
        - owners
      type: object
      properties:
        id:
          type: string
          description: Id of the company, required to update an existing company
          example: co_235823
        name:
          type: string
          description: Name of the company
          example: ACME Corp
        apiCompanyId:
          type: string
          description: Id of the company in your DB
          example: fake_company_123
        entityType:
          type: string
          description: The type of entity
          enum:
            - SOLE_PROPRIETORSHIP
            - LLP
            - LLC
            - S_CORP
            - C_CORP
        owners:
          maxItems: 1
          type: array
          items:
            $ref: '#/components/schemas/OwnerGetDto'
        address:
          $ref: '#/components/schemas/AddressGetDto'
        accountingMethod:
          type: string
          description: Accounting method used by the company
          example: ACCRUAL
          enum:
            - ACCRUAL
            - CASH
        businessType:
          $ref: '#/components/schemas/BusinessTypeInfo'
        availableFeatures:
          $ref: '#/components/schemas/FeaturesGetDto'
        accessLevel:
          type: string
          description: The bookkeeper's access level for this company. Null otherwise
          nullable: true
          enum:
            - READ_WRITE
            - READ_ONLY
            - NONE
            - READ_WRITE
            - READ_ONLY
            - NONE
        status:
          type: string
          description: Status of the company
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    OwnerGetDto:
      required:
        - userId
      type: object
      properties:
        userId:
          type: string
          description: Id of the user in your DB
          example: fake_userId
        email:
          type: string
          description: Email address for the user
          example: joe@tight.com
        firstName:
          type: string
          description: First name for the user
          example: Joe
        lastName:
          type: string
          description: Last name for the user
          example: Perkins
        language:
          type: string
          description: Language used by the user
          example: EN
          enum:
            - EN
            - ES
            - FR
            - ZH
            - ID
      description: Owner information for the company
    AddressGetDto:
      type: object
      properties:
        countryCode:
          type: string
          description: Country Code of the address
          example: USA
          enum:
            - USA
            - CAN
            - GBR
        state:
          type: string
          description: State/Province of the address
        city:
          type: string
          description: City of the address
        zip:
          type: string
          description: Zip/Postal code of the address
        phoneWork:
          type: string
          description: The phone number
        address1:
          type: string
          description: First line of the address
        address2:
          type: string
          description: Second line of the address
      description: Address of the vendor
      nullable: true
    BusinessTypeInfo:
      type: object
      properties:
        id:
          type: string
          description: Id of the business type
          example: bzt_123456
        name:
          type: string
          description: Name of the business type
          example: Electrician
      description: Business type of the company
    FeaturesGetDto:
      type: object
      properties:
        bankTransactions:
          type: boolean
          description: >-
            Whether bank transactions are enabled for this user. Defaults to
            true.
          example: true
        bills:
          type: boolean
          description: Whether bills are enabled for this user. Defaults to true.
          example: true
        bookkeeping:
          type: boolean
          description: Whether bookkeeping is enabled for this user. Defaults to true.
          example: true
        imports:
          type: boolean
          description: Whether imports are enabled for this user. Defaults to true.
          example: true
        invoicing:
          type: boolean
          description: Whether invoicing is enabled for this user. Defaults to true.
          example: true
        payroll:
          type: boolean
          description: Whether payroll is enabled for this user. Defaults to true.
          example: true
        reporting:
          type: boolean
          description: >-
            Whether financial reporting is enabled for this user. Defaults to
            true.
          example: true
        taxes:
          type: boolean
          description: Whether tax estimates are enabled for this user. Defaults to true.
          example: true
        timeTracking:
          type: boolean
          description: Whether time tracking is enabled for this user. Defaults to true.
          example: true
        mileage:
          type: boolean
          description: Whether mileage is enabled for this user. Defaults to true.
          example: true
      description: Available features for the company
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer
    PartnerAuth:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is a [partner-level
        token](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````